### Method

# FwupdPlugin Context get_battery_threshold

since: 1.6.0

#### Declaration [src]

    guint
    fu_context_get_battery_threshold (
      FuContext* self
    )

#### Description [src]

Gets the system battery threshold in percent.

Available since: 1.6.0

Gets property | `FwupdPlugin.Context:battery-threshold`

#### Return value

Type: `guint`

Percentage value, or `FWUPD_BATTERY_LEVEL_INVALID` for unknown.